---
title: File.fileName
slug: Web/API/File/fileName
tags:
  - API
  - DOM
  - File API
  - Files
  - Non-standard
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("File API")}}{{non-standard_header}} {{obsolete_header(7.0)}}</div>

<p>Returns the name of the file. For security reasons the path is excluded from this property.</p>

<div class="note">This property is deprecated. Use {{domxref("File.name")}} instead.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>name</em> = <em>instanceOfFile</em>.fileName;</pre>

<h3 id="Value">Value</h3>

<p>A string</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("File.name")}}</li>
</ul>
